package com.sundot.airport.exam.logic.manage.model.params.sub;

import javax.validation.constraints.NotBlank;

/**
 * <b>功能名: </b>VideoParam<br>
 * <b>说明: </b> 上传视频的信息 <br>
 * <b>著作权: </b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历: </b><br>
 *
 * @author 2021/7/7 liangxiao
 */
public class VideoParam {
    /**
     * 视频名称
     */
    @NotBlank(message = "视频名不能为空")
    private String viName;

    /**
     * 视频资源id
     */
    @NotBlank(message = "视频资源不能为空")
    private String viSource;

    @Override
    public String toString() {
        return "VideoParam{" +
                "viName='" + viName + '\'' +
                ", viSource='" + viSource + '\'' +
                '}';
    }

    public String getViName() {
        return viName;
    }

    public void setViName(String viName) {
        this.viName = viName;
    }

    public String getViSource() {
        return viSource;
    }

    public void setViSource(String viSource) {
        this.viSource = viSource;
    }
}
